<?php

namespace AppBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * TravelDeparturePointHoliday
 *
 * @ORM\Table(name="travel_departure_point_holiday", indexes={@ORM\Index(name="FK_travel_departure_point_holiday_travel_departure_point", columns={"departure_point_id"})})
 * @ORM\Entity
 */
class TravelDeparturePointHoliday
{
    /**
     * @var \DateTime
     *
     * @ORM\Column(name="start_date", type="date", nullable=true)
     */
    private $startDate;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="end_date", type="date", nullable=true)
     */
    private $endDate;

    /**
     * @var float
     *
     * @ORM\Column(name="extra_charge", type="float", precision=10, scale=2, nullable=true)
     */
    private $extraCharge;

    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var \AppBundle\Entity\TravelDeparturePoint
     *
     * @ORM\ManyToOne(targetEntity="AppBundle\Entity\TravelDeparturePoint")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="departure_point_id", referencedColumnName="id")
     * })
     */
    private $departurePoint;



    /**
     * Set startDate
     *
     * @param \DateTime $startDate
     *
     * @return TravelDeparturePointHoliday
     */
    public function setStartDate($startDate)
    {
        $this->startDate = $startDate;

        return $this;
    }

    /**
     * Get startDate
     *
     * @return \DateTime
     */
    public function getStartDate()
    {
        return $this->startDate;
    }

    /**
     * Set endDate
     *
     * @param \DateTime $endDate
     *
     * @return TravelDeparturePointHoliday
     */
    public function setEndDate($endDate)
    {
        $this->endDate = $endDate;

        return $this;
    }

    /**
     * Get endDate
     *
     * @return \DateTime
     */
    public function getEndDate()
    {
        return $this->endDate;
    }

    /**
     * Set extraCharge
     *
     * @param float $extraCharge
     *
     * @return TravelDeparturePointHoliday
     */
    public function setExtraCharge($extraCharge)
    {
        $this->extraCharge = $extraCharge;

        return $this;
    }

    /**
     * Get extraCharge
     *
     * @return float
     */
    public function getExtraCharge()
    {
        return $this->extraCharge;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set departurePoint
     *
     * @param \AppBundle\Entity\TravelDeparturePoint $departurePoint
     *
     * @return TravelDeparturePointHoliday
     */
    public function setDeparturePoint(\AppBundle\Entity\TravelDeparturePoint $departurePoint = null)
    {
        $this->departurePoint = $departurePoint;

        return $this;
    }

    /**
     * Get departurePoint
     *
     * @return \AppBundle\Entity\TravelDeparturePoint
     */
    public function getDeparturePoint()
    {
        return $this->departurePoint;
    }
}
